use "/Users/dmb95/Documents/Research/Experiments/Informing Legislators/New Mexico/Final Documents/Oil Prices.dta", clear

rename var2 oilprices

rename var6 month
rename var7 day
gen year=2008

gen date=mdy(month,day,year)

format date %d

gen top=135 if date>=17754 & date<=17756

twoway (line oilprices date, sort)  (area top date)if date>=17653 & date<=17776, ytitle(Price of Light Crude Oil ($/Barrel)) xtitle(" " "Date in 2008") ylabel(, angle(0)) xlabel(17653 "May 1" 17684 "June 1" 17714 "July 1" 17734 "July 21" 17759 "Aug 15" 17776 "Sept 1") xline(17722) xline(17734) xline(17759) xline(17763) text(147 17722 "Budget Surplus" "Reported", place(w)) text(137 17734 "Session" "Called", place(e)) text(147 17759 "Session" "Begins and" "Legislators" "Informed", place(w)) text(137 17763 "Vote on" "SB24", place(e)) text(129 17750 "Surveys Conducted", place(e) orientation(vertical)) legend(off) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
